import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useState } from 'react';
import { Accordion, AccordionDetails, AccordionSummary, Typography } from '@mui/material';
import './AdminAccordion.scss';
const AdminAccordion = ({ items }) => {
    const [expanded, setExpanded] = useState(null);
    const handleChange = (id) => (_, isExpanded) => {
        setExpanded(isExpanded ? id : null);
    };
    return (_jsx(_Fragment, { children: items.map(item => (_jsxs(Accordion, { className: "adminAccordion__container", expanded: expanded === item.id, onChange: handleChange(item.id), children: [_jsxs(AccordionSummary, { className: "adminAccordion__summary", children: [item.icon && _jsx("div", { className: "expand-icon-left", children: item.icon }), _jsx(Typography, { className: "accordion-header", children: item.title })] }), _jsx(AccordionDetails, { children: item.children })] }, item.title))) }));
};
export default AdminAccordion;
