import React from 'react';
import './adminUploader-style.scss';
export interface IAdminUploaderProps {
    /** Allow multiple files to be uploaded */
    multiple?: boolean;
    /** Array of accepted file extensions */
    accept?: string[];
    /** Callback function that receives the selected file paths */
    onChange: (paths: string | string[]) => void;
    /** Controlled value: a single file path (string) or multiple paths (array of strings) */
    value: string | string[];
    /** Display error state */
    error?: boolean;
    /** Helper text to display below the uploader */
    helperText?: string;
    /** Label for the uploader */
    label?: string;
}
declare const AdminUploader: React.FC<IAdminUploaderProps>;
export default AdminUploader;
